Skip to main content
GET
Get usage for all licenses of a type on a subscription

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

start_date
string<date> | null

Start date for the usage period (YYYY-MM-DD). Defaults to start of current billing period.

end_date
string<date> | null

End date for the usage period (YYYY-MM-DD). Defaults to end of current billing period.

group_by
string | null

How to group the results. Valid values: 'license', 'day'. Can be combined (e.g., 'license,day').

cursor
string | null

Pagination cursor from a previous request.

limit
integer
default:20

Maximum number of rows in the response data (default 20, max 100).

Required range: 1 <= x <= 100
subscription_id
string
required

The subscription ID to get license usage for.

license_type_id
string
required

The license type ID to filter licenses by.

Response

OK

data
LicenseUsage · object[]
required
pagination_metadata
PaginationMetadata · object
required